%define iname	odfpy

Name:		python-odf
Version:	0.9.6
Release:	%mkrel 3
Summary:	Python library for manipulating OpenDocument files
Group:		Development/Python
License:	GPLv2+
URL:		http://forge.osor.eu/projects/odfpy/
Source0:	https://pypi.python.org/packages/source/o/%{iname}/%{iname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
BuildRequires:	pkgconfig(python) 
BuildRequires:	python-setuptools

%description
Odfpy aims to be a complete API for OpenDocument in Python. Unlike
other more convenient APIs, this one is essentially an abstraction
layer just above the XML format. The main focus has been to prevent
the programmer from creating invalid documents. It has checks that
raise an exception if the programmer adds an invalid element, adds an
attribute unknown to the grammar, forgets to add a required attribute
or adds text to an element that doesn't allow it.
 
These checks and the API itself were generated from the RelaxNG
schema, and then hand-edited. Therefore the API is complete and can
handle all ODF constructions, but could be improved in its
understanding of data types.


%prep
%setup -q -n %{iname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

sed -i '/#!\/usr\/bin\/python/d' %{buildroot}%{python_sitelib}/odf/*.py

 
%files
%doc examples
%doc contrib
%{_bindir}/*
%{_mandir}/man1/*
%{python_sitelib}/*egg-info
%{python_sitelib}/odf




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.9.6-3.mga4
+ Revision: 543871
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.6-2.mga4
+ Revision: 498997
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 0.9.6-1.mga4
+ Revision: 450256
- Update to 0.9.6

* Sun Jan 13 2013 umeabot <umeabot> 0.9.3-3.mga3
+ Revision: 379194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 pterjan <pterjan> 0.9.3-2.mga3
+ Revision: 335569
- Fix file list

* Tue Mar 29 2011 philippem <philippem> 0.9.3-1.mga1
+ Revision: 78882
- imported package python-odf


* Tue Mar 29 2011 Philippe Makowski <makowski.mageia@gmail.com> 0.9.3-1mga1
- new upstream
- import from Mandriva
* Tue Apr 20 2010 Tomas Kindl <supp@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 537126
- python-odf a.k.a. odfpy initial import
- create python-odf

